import request from '@/utils/request'

// 查询在建工程支出明细列表
export function listInvestment(query) {
  return request({
    url: '/asset/investment/list',
    method: 'get',
    params: query
  })
}

// 查询在建工程支出明细详细
export function getInvestment(id) {
  return request({
    url: '/asset/investment/get/' + id,
    method: 'get'
  })
}

// 新增在建工程支出明细
export function addInvestment(data) {
  return request({
    url: '/asset/investment/add',
    method: 'post',
    data: data
  })
}

// 修改在建工程支出明细
export function updateInvestment(data) {
  return request({
    url: '/asset/investment/edit',
    method: 'post',
    data: data
  })
}

// 删除在建工程支出明细
export function delInvestment(id) {
  return request({
    url: '/asset/investment/remove/' + id,
    method: 'get'
  })
}

// 导出在建工程支出明细
export function exportInvestment(query) {
  return request({
    url: '/asset/investment/export',
    method: 'get',
    params: query
  })
}
